Commit 2bf57a92 authored by Mathieu Duponchelle's avatar Mathieu Duponchelle

fdkaacenc: check fdk-aac version in meson.build

configure.ac used to set -DHAVE_FDK_AAC_0_1_4 , which enables
7.1 support.

https://bugzilla.gnome.org/show_bug.cgi?id=789471
parent a160b85f
fdkaac_dep = dependency('fdk-aac', required : false)
if fdkaac_dep.found()
fdkaac_defines = []
# Enable 7.1 support
if fdkaac_dep.version().version_compare('>=0.1.4')
fdkaac_defines += ['-DHAVE_FDK_AAC_0_1_4']
endif
gstfdkaac = library('gstfdkaac',
['plugin.c', 'gstfdkaacenc.c', 'gstfdkaacdec.c'],
c_args : gst_plugins_bad_args,
c_args : gst_plugins_bad_args + fdkaac_defines,
include_directories : [configinc],
dependencies : [gstaudio_dep, gstpbutils_dep, fdkaac_dep],
install : true,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment